version: "3.8"
services:
  mydb:
    container_name: mysql-db
    image: mysql:latest
    environment:
      - MYSQL_ROOT_PASSWORD=root
      - MYSQL_DATABASE=fmass
    volumes:
      - data:/var/lib/mysql
    networks:
      - fmass-net
  fmass-back:
    container_name: spring-back
    image: amineferjani/fmass:1.0
    depends_on:
      - mydb
    ports:
      - "9090:8585"
    networks:
      - fmass-net

networks:
  fmass-net:
    driver: bridge

volumes:
  data:
